%define upstream_name Clipboard
%define upstream_version 0.29

%{?perl_default_filter:%perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Mac::Pasteboard\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Copy and paste with any OS
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI::Escape)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
# (tv) for testsuite:
BuildRequires: xclip
BuildRequires: xsel
BuildArch:  noarch

%description
Who doesn't remember the first time they learned to copy and paste, and
generated an exponentially growing text document? Yes, that's right,
clipboards are magical.

With Clipboard.pm, this magic is now trivial to access, cross-platformly,
from your Perl code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Clipboard.pm
%{perl_vendorlib}/Clipboard
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Mon Apr 15 2024 tv <tv> 0.290.0-1.mga10
+ Revision: 2057647
- BR xclip + xset
- update to 0.29

* Fri Aug 05 2022 tv <tv> 0.280.0-1.mga9
+ Revision: 1875393
- update to 0.28

* Tue Mar 22 2022 umeabot <umeabot> 0.200.0-3.mga9
+ Revision: 1819451
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.200.0-2.mga8
+ Revision: 1525477
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 shlomif <shlomif> 0.200.0-1.mga7
+ Revision: 1392710
- update to 0.20

* Thu Jan 31 2019 shlomif <shlomif> 0.190.0-1.mga7
+ Revision: 1362094
- New version 0.19

* Thu Sep 20 2018 umeabot <umeabot> 0.130.0-6.mga7
+ Revision: 1282276
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.130.0-5.mga7
+ Revision: 1163455
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.130.0-4.mga7
+ Revision: 1158943
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.130.0-3.mga6
+ Revision: 1024259
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 942862
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.13-7.mga5
+ Revision: 743431
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 tv <tv> 0.13-6.mga5
+ Revision: 724535
- add excludes

* Tue Sep 23 2014 tv <tv> 0.13-5.mga5
+ Revision: 722230
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 0.13-4.mga5
+ Revision: 683952
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.13-3.mga4
+ Revision: 510161
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.13-2.mga3
+ Revision: 364529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.13-1.mga1
+ Revision: 25945
- mageia rebuild
- imported package perl-Clipboard

